import type { NextConfig } from 'next';

const nextConfig: NextConfig = {
    async rewrites() {
        return [
            {
                source: '/api/:path*',  // Перехватываем запросы, начинающиеся с /api/
                destination: 'http://localhost:3008/api/:path*', // Проксируем на другой сервер
            },
        ];
    },
};

export default nextConfig;
